Index: include/requirements.inc.php
===================================================================
--- include/requirements.inc.php	(revision 10143)
+++ include/requirements.inc.php	(working copy)
@@ -35,12 +35,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP version',
+			'name' => S_PHP_VERSION,
 			'current' => phpversion(),
 			'required' => $required,
 			'recommended' => $recommended,
 			'result' => $req,
-			'error' => 'Minimal version of PHP is 5.1.0'
+			'error' => S_MINIMAL_VERSION_OF_PHP_IS.' 5.1.0'
 		);
 
 		return $result;
@@ -63,12 +63,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP memory limit',
+			'name' => S_PHP_MEMORY_LIMIT,
 			'current' => $current,
 			'required' => mem2str($required),
 			'recommended' => mem2str($recommended),
 			'result' => $req,
-			'error' => '128M is a minimal PHP memory limitation'
+			'error' => '128'.S_M.SPACE.S_IS_A_MINIMAL_PHP_MEMORY_LIMITATION_SMALL
 		);
 
 		return $result;
@@ -91,12 +91,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP post max size',
+			'name' => S_PHP_POST_MAX_SIZE,
 			'current' => $current,
 			'required' => mem2str($required),
 			'recommended' => mem2str($recommended),
 			'result' => $req,
-			'error' => '16M is minimum size of PHP post'
+			'error' => '16'.S_M.SPACE.S_IS_A_MINIMUM_SIZE_OF_PHP_POST_SMALL
 		);
 
 		return $result;
@@ -119,12 +119,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP upload max filesize ',
+			'name' => S_PHP_UPLOAD_MAX_FILESIZE,
 			'current' => $current,
 			'required' => mem2str($required),
 			'recommended' => mem2str($recommended),
 			'result' => $req,
-			'error' => '2M is minimum for PHP upload filesize'
+			'error' => '2'.S_M.SPACE.S_IS_MINIMAL_FOR_PHP_ULOAD_FILESIZE_SMALL
 		);
 
 		return $result;
@@ -147,12 +147,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP max execution time',
+			'name' => S_PHP_MAX_EXECUTION_TIME,
 			'current' => $current,
 			'required' => $required,
 			'recommended' => $recommended,
 			'result' => $req,
-			'error' => '300 sec is a minimal limitation on execution time of PHP scripts'
+			'error' => '300'.SPACE.S_SEC_SMALL.SPACE.S_IS_A_MINIMAL_LIMITATION_EXECTUTION_TIME_SMALL
 		);
 
 		return $result;
@@ -171,11 +171,11 @@
 
 		$result = array(
 			'name' => 'PHP timezone',
-			'current' => $req ? ini_get('date.timezone') : 'no',
+			'current' => $req ? ini_get('date.timezone') : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Timezone for PHP is not set. Please set "date.timezone" option in php.ini.'
+			'error' => S_TIMEZONE_FOR_PHP_IS_NOT_SET.'.'.SPACE.S_PLEASE_SET.SPACE.'"date.timezone"'.SPACE.S_OPTION_IN_SMALL.SPACE.'php.ini.'
 		);
 
 		return $result;
@@ -233,12 +233,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP databases support',
-			'current' => empty($current) ? 'no' : new CJSscript(implode(SBR, $current)),
+			'name' => S_PHP_DATABASES_SUPPORT,
+			'current' => empty($current) ? S_NO_SMALL : new CJSscript(implode(SBR, $current)),
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Requires any database support [MySQL or PostgreSQL or Oracle or SQLite3]'
+			'error' => S_REQUIRES_ANY_DATABASE_SUPPORT
 		);
 
 		return $result;
@@ -266,11 +266,11 @@
 
 		$result = array(
 			'name' => 'PHP BC math',
-			'current' => $req ? 'yes' : 'no',
+			'current' => $req ? S_YES_SMALL : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Requires bcmath module [configure PHP with --enable-bcmath]'
+			'error' => S_REQUIRES_BCMATH_MODULE.SPACE.'['.S_CONFIGURE_PHP_WITH_SMALL.SPACE.'--enable-bcmath]'
 		);
 
 		return $result;
@@ -298,11 +298,11 @@
 
 		$result = array(
 			'name' => 'PHP MB string',
-			'current' => $req ? 'yes' : 'no',
+			'current' => $req ? S_YES_SMALL : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Requires mb string module [configure PHP with --enable-mbstring]'
+			'error' => S_REQUIRES_MB_STRING_MODULE.SPACE.'['.S_CONFIGURE_PHP_WITH_SMALL.SPACE.'--enable-mbstring]'
 		);
 
 		return $result;
@@ -320,12 +320,12 @@
 		}
 
 		$result = array(
-			'name' => 'PHP Sockets',
-			'current' => $req ? 'yes' : 'no',
+			'name' => S_PHP_SOCKETS,
+			'current' => $req ? S_YES_SMALL : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Required Sockets module [configured PHP with --enable-sockets]'
+			'error' => S_REQUIRED_SOCKETS_MODULE.SPACE.'['.S_CONFIGURE_PHP_WITH_SMALL.SPACE.'--enable-sockets]'
 		);
 
 		return $result;
@@ -361,7 +361,7 @@
 			'required' => $required,
 			'recommended' => $recommended,
 			'result' => $req,
-			'error' => 'The GD extension isn\'t loaded.'
+			'error' => S_THE_GD_EXTENSION_IS_NOT_LOADED
 		);
 
 		return $result;
@@ -385,12 +385,12 @@
 		}
 
 		$result = array(
-			'name' => 'GD PNG Support',
-			'current' => $req ? 'yes' : 'no',
+			'name' => S_GD_PNG_SUPPORT,
+			'current' => $req ? S_YES_SMALL : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Requires images generation support [PNG]'
+			'error' => S_REQUIRES_IMAGES_GENERATION_SUPPORT.SPACE.'[PNG]'
 		);
 
 		return $result;
@@ -412,12 +412,12 @@
 		}
 
 		$result = array(
-			'name' => 'libxml module',
+			'name' => S_LIBXML_MODULE,
 			'current' => $current,
 			'required' => $required,
 			'recommended' => $recommended,
 			'result' => $req,
-			'error' => 'php-xml module is not installed'
+			'error' => S_PHPXML_MODULE_IS_NOT_INSTALLED
 		);
 
 		return $result;
@@ -445,12 +445,12 @@
 		}
 
 		$result = array(
-			'name' => 'ctype module',
-			'current' => $req ? 'yes' : 'no',
+			'name' => S_CTYPE_MODULE,
+			'current' => $req ? S_YES_SMALL : S_NO_SMALL,
 			'required' => null,
 			'recommended' => null,
 			'result' => $req,
-			'error' => 'Requires ctype module [configure PHP with --enable-ctype]'
+			'error' => S_REQUIRES_CTYPE_MODULE.SPACE.'['.S_CONFIGURE_PHP_WITH_SMALL.SPACE.'--enable-ctype]'
 		);
 
 		return $result;
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 10143)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1968,6 +1968,39 @@
 //	regexp.inc.php
 	'S_INCORRECT_ARGUMENTS_PASTED_TO_FUNCTION'=>	'Incorrect arguments pasted to function',
 
+//     requirements.inc.php
+	'S_PHP_VERSION'=>                                       'PHP version',
+	'S_MINIMAL_VERSION_OF_PHP_IS'=>                         'Minimal version of PHP is',
+	'S_PHP_MEMORY_LIMIT'=>                                  'PHP memory limit',
+	'S_IS_A_MINIMAL_PHP_MEMORY_LIMITATION_SMALL'=>          'is a minimal PHP memory limitation',
+	'S_PHP_POST_MAX_SIZE'=>                                 'PHP post max size',
+	'S_IS_A_MINIMUM_SIZE_OF_PHP_POST_SMALL'=>               'is minimum size of PHP post',
+	'S_PHP_MAX_EXECUTION_TIME'=>                            'PHP max execution time',
+	'S_IS_A_MINIMAL_LIMITATION_EXECTUTION_TIME_SMALL'=>     'sec is a minimal limitation on execution time of PHP scripts',
+	'S_PHP_TIMEZONE'=>                                      'PHP timezone',
+	'S_NO_SMALL'=>                                          'no',
+	'S_YES_SMALL'=>                                         'yes',
+	'S_TIMEZONE_FOR_PHP_IS_NOT_SET'=>                       'Timezone for PHP is not set',
+	'S_PLEASE_SET'=>                                        'Please set',
+	'S_OPTION_IN_SMALL'=>                                   'option in',
+	'S_PHP_DATABASES_SUPPORT'=>                             'PHP databases support',
+	'S_REQUIRES_ANY_DATABASE_SUPPORT'=>                     'Requires any database support [MySQL or PostgreSQL or Oracle or SQLite3]',
+	'S_REQUIRES_BCMATH_MODULE'=>                            'Requires bcmath module',
+	'S_CONFIGURE_PHP_WITH_SMALL'=>                          'configure PHP with',
+	'S_REQUIRES_MB_STRING_MODULE'=>                         'Requires mb string module',
+	'S_PHP_SOCKETS'=>                                       'PHP Sockets',
+	'S_REQUIRED_SOCKETS_MODULE'=>                           'Required Sockets module',
+	'S_THE_GD_EXTENSION_IS_NOT_LOADED'=>                    'The GD extension is not loaded.',
+	'S_GD_PNG_SUPPORT'=>                                    'GD PNG Support',
+	'S_REQUIRES_IMAGES_GENERATION_SUPPORT'=>                'Requires images generation support',
+	'S_LIBXML_MODULE'=>                                     'libxml module',
+	'S_PHPXML_MODULE_IS_NOT_INSTALLED'=>                    'php-xml module is not installed',
+	'S_CTYPE_MODULE'=>                                      'ctype module',
+	'S_REQUIRES_CTYPE_MODULE'=>                             'Requires ctype module',
+	'S_PHP_UPLOAD_MAX_FILESIZE'=>                           'PHP upload max filesize',
+	'S_IS_MINIMAL_FOR_PHP_ULOAD_FILESIZE_SMALL'=>           'is minimum for PHP upload filesize',
+
+
 //	Menu
 
 	'S_HELP'=>				'Help',