--- zabbix-1.8.4rc2/create/data/data.sql.orig	2010-11-02 23:00:53.000000000 +0100
+++ zabbix-1.8.4rc2/create/data/data.sql	2010-11-03 07:17:06.000000000 +0100
@@ -620,7 +620,7 @@
 INSERT INTO items VALUES (10359,0,'','',161,10002,'Total disk space on $1','vfs.fs.size[d:,total]',3600,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','0','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (10412,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (10413,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/opt,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (10414,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (10414,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (10415,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/tmp,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (10416,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/usr,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (10417,0,'','',161,10001,'Used disk space on $1','vfs.fs.size[/home,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -961,7 +961,7 @@
 INSERT INTO items VALUES (17505,0,'','',161,10008,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17506,0,'','',161,10008,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17507,0,'','',161,10008,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (17508,0,'','',161,10008,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (17508,0,'','',161,10008,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17509,0,'','',161,10008,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17510,0,'','',161,10008,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17511,0,'','',161,10008,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1063,7 +1063,7 @@
 INSERT INTO items VALUES (17607,0,'','',161,10009,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17608,0,'','',161,10009,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17609,0,'','',161,10009,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (17610,0,'','',161,10009,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (17610,0,'','',161,10009,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17611,0,'','',161,10009,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17612,0,'','',161,10009,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17613,0,'','',161,10009,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1165,7 +1165,7 @@
 INSERT INTO items VALUES (17709,0,'','',161,10010,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17710,0,'','',161,10010,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17711,0,'','',161,10010,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (17712,0,'','',161,10010,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (17712,0,'','',161,10010,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17713,0,'','',161,10010,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17714,0,'','',161,10010,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17715,0,'','',161,10010,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1267,7 +1267,7 @@
 INSERT INTO items VALUES (17811,0,'','',161,10011,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17812,0,'','',161,10011,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17813,0,'','',161,10011,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (17814,0,'','',161,10011,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (17814,0,'','',161,10011,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17815,0,'','',161,10011,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17816,0,'','',161,10011,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17817,0,'','',161,10011,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1369,7 +1369,7 @@
 INSERT INTO items VALUES (17913,0,'','',161,10012,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17914,0,'','',161,10012,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17915,0,'','',161,10012,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (17916,0,'','',161,10012,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (17916,0,'','',161,10012,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17917,0,'','',161,10012,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17918,0,'','',161,10012,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (17919,0,'','',161,10012,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1471,7 +1471,7 @@
 INSERT INTO items VALUES (18015,0,'','',161,10013,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18016,0,'','',161,10013,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18017,0,'','',161,10013,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (18018,0,'','',161,10013,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (18018,0,'','',161,10013,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18019,0,'','',161,10013,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18020,0,'','',161,10013,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18021,0,'','',161,10013,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1573,7 +1573,7 @@
 INSERT INTO items VALUES (18117,0,'','',161,10014,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18118,0,'','',161,10014,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18119,0,'','',161,10014,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (18120,0,'','',161,10014,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (18120,0,'','',161,10014,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18121,0,'','',161,10014,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18122,0,'','',161,10014,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18123,0,'','',161,10014,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1675,7 +1675,7 @@
 INSERT INTO items VALUES (18219,0,'','',161,10015,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18220,0,'','',161,10015,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18221,0,'','',161,10015,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',0,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (18222,0,'','',161,10015,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (18222,0,'','',161,10015,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18223,0,'','',161,10015,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18224,0,'','',161,10015,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18225,0,'','',161,10015,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',0,0,'','','',0,0,'','','','',0);
@@ -1984,7 +1984,7 @@
 INSERT INTO items VALUES (18528,0,'','',161,10017,'Free disk space on $1','vfs.fs.size[/var,free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',10023,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18529,0,'','',161,10017,'Free disk space on $1 in %','vfs.fs.size[/var,pfree]',30,90,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',17373,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18530,0,'','',161,10017,'Used disk space on $1 in %','vfs.fs.size[/var,pused]',30,7,365,NULL,NULL,NULL,0,0,'','%',0,0,NULL,'',0,'','','1','',0,'',17348,0,'','','',0,0,'','','','',0);
-INSERT INTO items VALUES (18531,0,'','',161,10017,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,0,'','B',0,0,NULL,'',0,'','','','',0,'',10414,0,'','','',0,0,'','','','',0);
+INSERT INTO items VALUES (18531,0,'','',161,10017,'Used disk space on $1','vfs.fs.size[/var,used]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','','',0,'',10414,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18532,0,'','',161,10017,'Buffers memory','vm.memory.size[buffers]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','0','',0,'',10028,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18533,0,'','',161,10017,'Cached memory','vm.memory.size[cached]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','0','',0,'',10029,0,'','','',0,0,'','','','',0);
 INSERT INTO items VALUES (18534,0,'','',161,10017,'Free memory','vm.memory.size[free]',30,7,365,NULL,NULL,NULL,0,3,'','B',0,0,NULL,'',0,'','','0','',0,'',10001,0,'','','',0,0,'','','','',0);