Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 15360)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1851,6 +1851,32 @@
 	'S_AGE_LESS_THAN' => 'Age less than',
 	'S_SELECT' => 'Select',
 
+//	popup_trexpr.php
+	'S_NOT_EQUAL_COMPARE'=>				'NOT',
+	'S_ABSOLUTE_DIFFERENCE_BETWEEN'=>		'Absolute difference between last and previous value {OP} N.',
+	'S_AVERAGE_VALUE_FOR_PERIOD'=>			'Average value for period of T times {OP} N.',
+	'S_DIFFERENCE_BETWEEN_MAX_AND_MIN'=>		'Difference between MAX and MIN value of T times {OP} N.',
+	'S_DIFFERENCE_BETWEEN_LAST_AND_PREVIOUS'=>	'Difference between last and previous value of T times {OP} N.',
+	'S_NUMBER_OF_SUCCESSFULLY_RETRIEVED_VALUES'=>	'Number of successfully retrieved values V for period of time T {OP} N.',
+	'S_LAST_AND_PREVIOUS_VALUES_DIFFERS'=>		'N {OP} X, where X is 1 - if last and previous values differs, 0 - otherwise.',
+	'S_LAST_VALUE_COMPARE'	=>			'Last value {OP} N.',
+	'S_MAXIMAL_VALUE_FOR_PERIOD_OF_TIME'=>		'Maximal value for period of time T {OP} N.',
+	'S_MINIMAL_VALUE_FOR_PERIOD_OF_TIME'=>		'Minimal value for period of time T {OP} N.',
+	'S_PREVIOUS_VALUE_COMPARE'=>			'Previous value {OP} N.',
+	'S_FIND_STRING_LAST_VALUE'=>			'Find string T last value. N {OP} X, where X is 1 - if found, 0 - otherwise.',
+	'S_FIND_IF_STRING_LENGTH'=>			'Find if string T length {OP} N.',
+	'S_SUM_OF_VALUES_FOR_PERIOD'=>			'Sum of values for period of time T {OP} N.',
+	'S_CURRENT_DATE_COMPARE'=>			'Current date is {OP} N.',
+	'S_DAY_OF_WEEK_COMPARE'=>			'Day of week is {OP} N.',
+	'S_TIMESTAMP_EQUAL_WITH_ZABBIX_SERVER_TIME' =>	'N {OP} X, where X is 1 - if timestamp is equal with Zabbix server time for T seconds, 0 - otherwise.',
+	'S_LAST_VALUE_MATCHES_REGEXP_FOR_SECONDS'=>	'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise.',
+	'S_LAST_VALUE_MATCHES_IREGEXP_FOR_SECONDS'=>	'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise. (non case-sensitive)',
+	'S_LOG_SEVERITY_LAST_ENTRY_COMPARE'=>		'Log severity of the last log entry is {OP} N.',
+	'S_LOG_SOURCE_LAST_ENTRY_MATCHES'=>		'N {OP} X, where X is 1 - last log source of the last log entry matches T.',
+	'S_NUMBER_SECONDS_SINCE_EPOCH_COMPARE'=>	'Number of seconds since the Epoch is {OP} N.',
+	'S_CURRENT_TIME_COMPARE'=>			'Current time is {OP} N.',
+	'S_NO_DATA_RECEIVED_DURING_PERIOD'=>		'N {OP} X, where X is 1 - no data received during period of T seconds, 0 - otherwise.',
+
 //	users.php
 	'S_ZABBIX_USER'=>				'Zabbix User',
 	'S_ZABBIX_ADMIN'=>				'Zabbix Admin',
Index: popup_trexpr.php
===================================================================
--- popup_trexpr.php	(revision 15360)
+++ popup_trexpr.php	(working copy)
@@ -35,10 +35,10 @@
 		'<' => '<',
 		'>' => '>',
 		'=' => '=',
-		'#' => 'NOT');
+		'#' => S_NOT_EQUAL_COMPARE);
 	$limited_operators = array(
 		'=' => '=',
-		'#' => 'NOT');
+		'#' => S_NOT_EQUAL_COMPARE);
 
 	$metrics = array(
 		PARAM_TYPE_SECONDS => S_SECONDS,
@@ -122,131 +122,154 @@
 
 	$functions = array(
 		'abschange'	=> array(
-			'description'	=> 'Absolute difference between last and previous value {OP} N',
+			//'Absolute difference between last and previous value {OP} N'
+			'description'	=> S_ABSOLUTE_DIFFERENCE_BETWEEN,
 			'operators'	=> $operators,
 			'allowed_types' => $allowed_types_any
 			),
 		'avg'		=> array(
-			'description'	=> 'Average value for period of T times {OP} N',
+			//'Average value for period of T times {OP} N'
+			'description'	=> S_AVERAGE_VALUE_FOR_PERIOD,
 			'operators'	=> $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_numeric
 			),
 		'delta'		=> array(
-			'description'	=> 'Difference between MAX and MIN value of T times {OP} N',
+			//'Difference between MAX and MIN value of T times {OP} N'
+			'description'	=> S_DIFFERENCE_BETWEEN_MAX_AND_MIN,
 			'operators'	=> $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_numeric
 			),
 		'change'	=> array(
-			'description'	=> 'Difference between last and previous value of T times {OP} N.',
+			//'Difference between last and previous value of T times {OP} N.'
+			'description'	=> S_DIFFERENCE_BETWEEN_LAST_AND_PREVIOUS,
 			'operators'	=> $operators,
 			'allowed_types' => $allowed_types_any
 			),
 		'count'		=> array(
-			'description'	=> 'Number of successfully retrieved values V for period of time T {OP} N.',
+			//Number of successfully retrieved values V for period of time T {OP} N.'
+			'description'	=> S_NUMBER_OF_SUCCESSFULLY_RETRIEVED_VALUES,
 			'operators'     => $operators,
 			'params'	=> $param2_sec_val,
 			'allowed_types' => $allowed_types_any
 			),
 		'diff'		=> array(
-			'description'	=> 'N {OP} X, where X is 1 - if last and previous values differs, 0 - otherwise.',
+			//'N {OP} X, where X is 1 - if last and previous values differs, 0 - otherwise.'
+			'description'	=> S_LAST_AND_PREVIOUS_VALUES_DIFFERS,
 			'operators'     => $limited_operators,
 			'allowed_types' => $allowed_types_any
 			),
 		'last'	=> array(
-			'description'	=> 'Last value {OP} N',
+			//'Last value {OP} N'
+			'description'	=> S_LAST_VALUE_COMPARE,
 			'operators'	=> $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_any
 			),
 		'max'		=> array(
-			'description'	=> 'Maximal value for period of time T {OP} N.',
+			//'Maximal value for period of time T {OP} N.'
+			'description'	=> S_MAXIMAL_VALUE_FOR_PERIOD_OF_TIME,
 			'operators'     => $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_numeric
 			),
 		'min'		=> array(
-			'description'	=> 'Minimal value for period of time T {OP} N.',
+			//'Minimal value for period of time T {OP} N.'
+			'description'	=> S_MINIMAL_VALUE_FOR_PERIOD_OF_TIME,
 			'operators'     => $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_numeric
 			),
 		'prev'		=> array(
-			'description'	=> 'Previous value {OP} N.',
+			//'Previous value {OP} N.'
+			'description'	=> S_PREVIOUS_VALUE_COMPARE,
 			'operators'     => $operators,
 			'allowed_types' => $allowed_types_any
 			),
 		'str'		=> array(
-			'description'	=> 'Find string T last value. N {OP} X, where X is 1 - if found, 0 - otherwise',
+			//'Find string T last value. N {OP} X, where X is 1 - if found, 0 - otherwise'
+			'description'	=> S_FIND_STRING_LAST_VALUE,
 			'operators'     => $limited_operators,
 			'params'	=> $param1_str,
 			'allowed_types' => $allowed_types_str
 			),
 		'strlen'		=> array(
-			'description'	=> 'Find if string T length {OP} N',
+			//'Find if string T length {OP} N'
+			'description'	=> S_FIND_IF_STRING_LENGTH,
 			'operators'     => $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_str
 			),
 		'sum'		=> array(
-			'description'	=> 'Sum of values for period of time T {OP} N',
+			//'Sum of values for period of time T {OP} N'
+			'description'	=> S_SUM_OF_VALUES_FOR_PERIOD,
 			'operators'     => $operators,
 			'params'	=> $param1_sec_count,
 			'allowed_types' => $allowed_types_numeric
 			),
 		'date' => array(
-			'description' => 'Current date is {OP} N.',
+			//'Current date is {OP} N.'
+			'description' => S_CURRENT_DATE_COMPARE,
 			'operators' => $operators,
 			'allowed_types' => $allowed_types_any
 		),
 		'dayofweek' => array(
-			'description' => 'Day of week is {OP} N.',
+			//'Day of week is {OP} N.'
+			'description' => S_DAY_OF_WEEK_COMPARE,
 			'operators' => $operators,
 			'allowed_types' => $allowed_types_any
 		),
 		'fuzzytime' => array(
-			'description' => 'N {OP} X, where X is 1 - if timestamp is equal with Zabbix server time for T seconds, 0 - otherwise',
+			//'N {OP} X, where X is 1 - if timestamp is equal with Zabbix server time for T seconds, 0 - otherwise'
+			'description' => S_TIMESTAMP_EQUAL_WITH_ZABBIX_SERVER_TIME,
 			'operators' => $limited_operators,
 			'params' => $param1_sec_count_no_timeshift,
 			'allowed_types' => $allowed_types_numeric
 		),
 		'regexp' => array(
-			'description' => 'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise.',
+			//'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise.'
+			'description' => S_LAST_VALUE_MATCHES_REGEXP_FOR_SECONDS,
 			'operators' => $limited_operators,
 			'params' => $param2_val_sec,
 			'allowed_types' => $allowed_types_str
 		),
 		'iregexp' => array(
-			'description' => 'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise. (non case-sensitive)',
+			//'N {OP} X, where X is 1 - last value matches regular expression V for last T seconds, 0 - otherwise. (non case-sensitive)'
+			'description' => S_LAST_VALUE_MATCHES_IREGEXP_FOR_SECONDS,
 			'operators' => $limited_operators,
 			'params' => $param2_val_sec,
 			'allowed_types' => $allowed_types_str
 		),
 		'logseverity' => array(
-			'description' => 'Log severity of the last log entry is {OP} N',
+			//'Log severity of the last log entry is {OP} N'
+			'description' => S_LOG_SEVERITY_LAST_ENTRY_COMPARE,
 			'operators' => $operators,
 			'allowed_types' => $allowed_types_log
 		),
 		'logsource' => array(
-			'description' => 'N {OP} X, where X is 1 - last log source of the last log entry matches T',
+			//'N {OP} X, where X is 1 - last log source of the last log entry matches T'
+			'description' => S_LOG_SOURCE_LAST_ENTRY_MATCHES,
 			'operators' => $limited_operators,
 			'params' => $param1_str,
 			'allowed_types' => $allowed_types_log
 		),
 		'now' => array(
-			'description' => 'Number of seconds since the Epoch is {OP} N.',
+			//Number of seconds since the Epoch is {OP} N.'
+			'description' => S_NUMBER_SECONDS_SINCE_EPOCH_COMPARE,
 			'operators' => $operators,
 			'allowed_types' => $allowed_types_any
 		),
 		'time' => array(
-			'description' => 'Current time is {OP} N.',
+			//'Current time is {OP} N.'
+			'description' => S_CURRENT_TIME_COMPARE,
 			'operators' => $operators,
 			'allowed_types' => $allowed_types_any
 		),
 		'nodata' => array(
-			'description' => 'N {OP} X, where X is 1 - no data received during period of T seconds, 0 - otherwise',
-			'operators' => $operators,
+			//'N {OP} X, where X is 1 - no data received during period of T seconds, 0 - otherwise'
+			'description' => S_NO_DATA_RECEIVED_DURING_PERIOD,
+			'operators' => $limited_operators,
 			'params' => $param1_sec,
 			'allowed_types' => $allowed_types_any
 		),