Index: locale/cs/LC_MESSAGES/frontend.po
===================================================================
--- locale/cs/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/cs/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: cs\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/de/LC_MESSAGES/frontend.po
===================================================================
--- locale/de/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/de/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/es/LC_MESSAGES/frontend.po
===================================================================
--- locale/es/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/es/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: es\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/fr/LC_MESSAGES/frontend.po
===================================================================
--- locale/fr/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/fr/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/hu/LC_MESSAGES/frontend.po
===================================================================
--- locale/hu/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/hu/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: hu\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/it/LC_MESSAGES/frontend.po
===================================================================
--- locale/it/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/it/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: it\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/ko/LC_MESSAGES/frontend.po
===================================================================
--- locale/ko/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/ko/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: ko\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/lv/LC_MESSAGES/frontend.po
===================================================================
--- locale/lv/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/lv/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: lv\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n != 0 ? 1 : 2);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/nl/LC_MESSAGES/frontend.po
===================================================================
--- locale/nl/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/nl/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: nl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/pl/LC_MESSAGES/frontend.po
===================================================================
--- locale/pl/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/pl/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: pl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/pt_BR/LC_MESSAGES/frontend.po
===================================================================
--- locale/pt_BR/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/pt_BR/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,12 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: pt\n"
+"X-Poedit-Country: BRAZIL\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/ru/LC_MESSAGES/frontend.po
===================================================================
--- locale/ru/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/ru/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/sv/LC_MESSAGES/frontend.po
===================================================================
--- locale/sv/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/sv/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: sv\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/uk/LC_MESSAGES/frontend.po
===================================================================
--- locale/uk/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/uk/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,11 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: uk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."
Index: locale/zh_CN/LC_MESSAGES/frontend.po
===================================================================
--- locale/zh_CN/LC_MESSAGES/frontend.po	(revision 16380)
+++ locale/zh_CN/LC_MESSAGES/frontend.po	(working copy)
@@ -6,10 +6,12 @@
 "PO-Revision-Date: \n"
 "Last-Translator: Konstantin <konstantin.buravcov@zabbix.com>\n"
 "Language-Team: Zabbix <info@zabbix.com>\n"
-"Language: \n"
+"Language: zh\n"
+"X-Poedit-Country: CHINA\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #: include/forms.inc.php:394
 msgid "You are not able to choose some of the languages, because locales for them are not installed on the web server."